Package io.dapr.v1

# Enum DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus

java.lang.Object
java.lang.Enum<DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus>
io.dapr.v1.DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus>`

Enclosing class:
  DaprAppCallbackProtos.TopicEventResponse

public static enum DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus extends Enum<DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus> implements com.google.protobuf.ProtocolMessageEnum

     TopicEventResponseStatus allows apps to have finer control over handling of the message.

Protobuf enum `dapr.proto.runtime.v1.TopicEventResponse.TopicEventResponseStatus`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DROP`
DROP status signals Dapr to drop the message as part of an unexpected scenario (warning is logged).
`RETRY`
RETRY status signals Dapr to retry the message as part of an expected scenario (no warning is logged).
`SUCCESS`
SUCCESS is the default behavior: message is acknowledged and not retried or logged.
`UNRECOGNIZED`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DROP_VALUE`
DROP status signals Dapr to drop the message as part of an unexpected scenario (warning is logged).
`static final int`
`RETRY_VALUE`
RETRY status signals Dapr to retry the message as part of an expected scenario (no warning is logged).
`static final int`
`SUCCESS_VALUE`
SUCCESS is the default behavior: message is acknowledged and not retried or logged.

## Method Summary

Modifier and Type
Method
Description
`static DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus`
`forNumber(int value)`
`static final com.google.protobuf.Descriptors.EnumDescriptor`
`getDescriptor()`
`final com.google.protobuf.Descriptors.EnumDescriptor`
`getDescriptorForType()`
`final int`
`getNumber()`
`final com.google.protobuf.Descriptors.EnumValueDescriptor`
`getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus>`
`internalGetValueMap()`
`static DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus`
`valueOf(int value)`
Deprecated.
`static DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus`
`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this type with the specified name.
`static DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUCCESS

public static final DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus SUCCESS

     SUCCESS is the default behavior: message is acknowledged and not retried or logged.

`SUCCESS = 0;`

### RETRY

public static final DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus RETRY

     RETRY status signals Dapr to retry the message as part of an expected scenario (no warning is logged).

`RETRY = 1;`

### DROP

public static final DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus DROP

     DROP status signals Dapr to drop the message as part of an unexpected scenario (warning is logged).

`DROP = 2;`

### UNRECOGNIZED

public static final DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus UNRECOGNIZED

## Field Details

### SUCCESS_VALUE

public static final int SUCCESS_VALUE

     SUCCESS is the default behavior: message is acknowledged and not retried or logged.

`SUCCESS = 0;`

See Also:
  - Constant Field Values

### RETRY_VALUE

public static final int RETRY_VALUE

     RETRY status signals Dapr to retry the message as part of an expected scenario (no warning is logged).

`RETRY = 1;`

See Also:
  - Constant Field Values

### DROP_VALUE

public static final int DROP_VALUE

     DROP status signals Dapr to drop the message as part of an unexpected scenario (warning is logged).

`DROP = 2;`

See Also:
  - Constant Field Values

## Method Details

### values

public static DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus valueOf(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null